Subject: [Rum] I-D Action: draft-ietf-rum-rue-07.txt

From: [email-masked]
Date: Thu, 26 Aug 2021 09:05:49 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Relay User Machine WG of the IETF.

        Title           : Interoperability Profile for Relay User Equipment
        Author          : Brian Rosen
	Filename        : draft-ietf-rum-rue-07.txt
	Pages           : 33
	Date            : 2021-08-26

Abstract:
   Video Relay Service (VRS) is a term used to describe a method by
   which a hearing persons can communicate with deaf/Hard of Hearing
   user using an interpreter ("Communications Assistant") connected via
   a videophone to the deaf/HoH user and an audio telephone call to the
   hearing user.  The CA interprets using sign language on the
   videophone link and voice on the telephone link.  Often the
   interpreters may be supplied by a company or agency termed a
   "provider" in this document.  The provider also provides a video
   service that allows users to connect video devices to their service,
   and subsequently to CAs and other deaf/HoH users.  It is desirable
   that the videophones used by the deaf/HoH/H-I user conform to a
   standard so that any device may be used with any provider and that
   video calls direct between deaf/HoH users work.  This document
   describes the interface between a videophone and a provider.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-rum-rue/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-rum-rue-07.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-rum-rue-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Brian Rosen <[email-masked]>
Date: Thu, 26 Aug 2021 12:09:21 -0400

This version:
Changes jCard to xCard
Says ICE candidates with specific IP versions is allowed
Doesn’t require MWI support if voicemail is not supported (actually, 06 said that).

I think the document is ready for work group last call.

Brian

> On Aug 26, 2021, at 12:05 PM, [email-masked] wrote:
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 26 Aug 2021 13:05:12 -0400

[Speaking as a RUM WG chair]

This message announces the start of WGLC (Working Group Last Call) for 
draft-ietf-rum-rue-07.

The end of this WGLC will be midnight UTC on September 12, 2021.
(That is roughly two weeks, rounded up to a week boundary.)

The energy level in the wg has been low. This WGLC is to help us move to 
wrap things up. The comments that have been posted for the last few days 
will be treated as WGLC comments. If you have made comments recently 
please review to see if they are impacted by the changes in -07 and if 
so update your comments. (I don't think any are.)

Starting on Monday morning September 13 we will assess where we stand 
based on WGLC comments. If discussion has been robust but incomplete we 
MAY further extend the WGLC.

	Thank you,
	Paul Kyzivat

---

From: Brian Rosen <[email-masked]>
Date: Thu, 26 Aug 2021 13:11:06 -0400

It would be very helpful for anyone commenting during WGLC to state where and why they are on the 3 issues raised (IPv6, MWI and RTCweb media).

Brian

> On Aug 26, 2021, at 1:05 PM, Paul Kyzivat <[email-masked]> wrote:
> 
> This message announces the start of WGLC (Working Group Last Call) for draft-ietf-rum-rue-07.
> 
> The energy level in the wg has been low. This WGLC is to help us move to wrap things up. The comments that have been posted for the last few days will be treated as WGLC comments. If you have made comments recently please review to see if they are impacted by the changes in -07 and if so update your comments. (I don't think any are.)
> 
> Starting on Monday morning September 13 we will assess where we stand based on WGLC comments. If discussion has been robust but incomplete we MAY further extend the WGLC.
> 
> 	Thank you,
> 	Paul Kyzivat
> 
> -- 
> Rum mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rum

---

From: Gunnar Hellström <[email-masked]>
Date: Thu, 26 Aug 2021 23:09:26 +0200

Hi,

Good to see rum-rue get to the wglc state.

Before taking a deeper look, I just want to convey an observation of a 
couple of words left out between version -06 and -07.

In section 5.2.3, 3rd line from the end,   "for an example ..." s.b.  
"Please refer to [RFC6442] for an example ..."

It seems to me that "Please refer to [RFC6442]" just happened to be 
dropped. Right?

Gunnar

--------------------------------

Den 2021-08-26 kl. 19:05, skrev Paul Kyzivat:
> The energy level in the wg has been low. This WGLC is to help us move 
> to wrap things up. The comments that have been posted for the last few 
> days will be treated as WGLC comments. If you have made comments 
> recently please review to see if they are impacted by the changes in 
> -07 and if so update your comments. (I don't think any are.)
>
> based on WGLC comments. If discussion has been robust but incomplete 
> we MAY further extend the WGLC.
>
>     Thank you,
>     Paul Kyzivat
>
-- 
Gunnar Hellström
GHAccess
[email-masked]

---

From: Brian Rosen <[email-masked]>
Date: Thu, 26 Aug 2021 17:11:03 -0400

Yes.  I will fix that.  Thanks for spotting it.

Brian

> On Aug 26, 2021, at 5:09 PM, Gunnar Hellström <[email-masked]> wrote:
> 
> Hi,
> 
> Before taking a deeper look, I just want to convey an observation of a couple of words left out between version -06 and -07.
> 
> In section 5.2.3, 3rd line from the end,   "for an example ..."   s.b.  "Please refer to [RFC6442] for an example ..."
> 
> It seems to me that "Please refer to [RFC6442]" just happened to be dropped. Right?
> 
> Gunnar
> 
>>>> On Aug 26, 2021, at 12:05 PM, [email-masked] <mailto:[email-masked]> wrote: 
>>>> 
>>>> 
>>>> https://datatracker.ietf.org/doc/draft-ietf-rum-rue/ <https://datatracker.ietf.org/doc/draft-ietf-rum-rue/> 
>>>> 
>>>> https://www.ietf.org/archive/id/draft-ietf-rum-rue-07.html <https://www.ietf.org/archive/id/draft-ietf-rum-rue-07.html> 
>>>> 
>>>> https://www.ietf.org/rfcdiff?url2=draft-ietf-rum-rue-07 <https://www.ietf.org/rfcdiff?url2=draft-ietf-rum-rue-07> 
>>>> 
>>>> 
>>>> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/> 
>>>> 
>>>> 
>>>> [email-masked] <mailto:[email-masked]> 
>>>> https://www.ietf.org/mailman/listinfo/i-d-announce <https://www.ietf.org/mailman/listinfo/i-d-announce> 
>>>> Internet-Draft directories: http://www.ietf.org/shadow.html <http://www.ietf.org/shadow.html> 
>>>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt <ftp://ftp.ietf.org/ietf/1shadow-sites.txt> 
>>> 
>> 
> -- 
> Gunnar Hellström
> GHAccess
> [email-masked] <mailto:[email-masked]>-- 
> Rum mailing list
> [email-masked]

---

From: Eugene Christensen <[email-masked]>
Date: Mon, 30 Aug 2021 15:38:56 +0000

Brian,

In section 7.2 of this document, it still refers to the use of jCard.

Thanks,

Eugene.

CONFIDENTIALITY NOTICE. This e-mail transmission, and any documents, files or previous e-mail messages attached to it, may contain confidential and proprietary information. If you are not the intended recipient, or a person responsible for delivering it to the intended recipient, you are hereby notified that any disclosure, copying, distribution or use of any of the information contained in or attached to this message is STRICTLY PROHIBITED. If you have received this transmission in error, please immediately notify me by reply e-mail at [email-masked] or by telephone at +1 (801) 287-9419, and destroy the original transmission and its attachments without reading them or saving them to disk.

-----Original Message-----
From: Rum <[email-masked]> On Behalf Of Brian Rosen
Sent: Thursday, August 26, 2021 10:09 AM
To: [email-masked]
Subject: Re: [Rum] I-D Action: draft-ietf-rum-rue-07.txt

[EXTERNAL] 

This version:
Changes jCard to xCard
Says ICE candidates with specific IP versions is allowed Doesn’t require MWI support if voicemail is not supported (actually, 06 said that).

Brian

> Internet-Draft directories: http://www.ietf.org/shadow.html or 
> ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: Brian Rosen <[email-masked]>
Date: Mon, 30 Aug 2021 11:40:36 -0400

Sorry about that, I will fix it.

Brian

> On Aug 30, 2021, at 11:38 AM, Eugene Christensen <[email-masked]> wrote:
> 
> Brian,
>